function Mobile_Graph = Plot_Omni4(dx,dy,angz)
global  Omni4;

% Matriz de rotación z

Rz=[ cos(angz) -sin(angz) 0; sin(angz) cos(angz) 0; 0 0 1];


robotPatch = Rz*Omni4.platformVertices;
robotPatch(1,:)=robotPatch(1,:)+dx;
robotPatch(2,:)=robotPatch(2,:)+dy;

Mobile_Graph(1) = patch('Faces',Omni4.platformFaces,'Vertices',robotPatch','FaceColor',[0.3 0.75 0.93],'EdgeColor','none');

robotPatch = Rz*Omni4.platformfVertices;
robotPatch(1,:)=robotPatch(1,:)+dx;
robotPatch(2,:)=robotPatch(2,:)+dy;

Mobile_Graph(2) = patch('Faces',Omni4.platformfFaces,'Vertices',robotPatch','FaceColor','red','EdgeColor','none');

%%%%%%%%%%%%%%%%%%%%%%%%%%%

robotPatch = Rz*Omni4.wheelVertices;
robotPatch(1,:)=robotPatch(1,:)+dx;
robotPatch(2,:)=robotPatch(2,:)+dy;

Mobile_Graph(3) = patch('Faces',Omni4.wheelFaces,'Vertices',robotPatch','FaceColor','black','EdgeColor','none');

robotPatch = Rz*Omni4.wheelbVertices;
robotPatch(1,:)=robotPatch(1,:)+dx;
robotPatch(2,:)=robotPatch(2,:)+dy;

Mobile_Graph(4) = patch('Faces',Omni4.wheelbFaces,'Vertices',robotPatch','FaceColor',[0.8 0.8 0.8],'EdgeColor','none');




